.c-cookie {
  position: fixed;
  left: 50%;
  bottom: 122px;
  transform: translateX(-50%);
  background: white;
  border-radius: 20px;
  width: 100%;
  max-width: calc(100% - 40px);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 16px 16px;
  row-gap: 16px;
  z-index: 10;
}

@media screen and (min-width: 576px) {
  .c-cookie {
    flex-direction: row;
    column-gap: 16px;
  }
}

@media screen and (min-width: 870px) {
  .c-cookie {
    max-width: 830px;
  }
}

@media screen and (min-width: 992px) {
  .c-cookie {
    right: 24px;
    bottom: 32px;
    left: auto;
    transform: translateX(0);
    width: calc(100vw / 2 - 190px);
    flex-direction: column;
    row-gap: 16px;
  }
}

@media screen and (min-width: 1900px) {
  .c-cookie {
    right: 20px;
    bottom: 14px;
    flex-direction: row;
    column-gap: 16px;
    padding: 10px 16px;
    height: 92px;
  }
}

.c-cookie .icon {
  width: 40px;
  height: 40px;
  background: var(--cl-gray-100);
  border-radius: calc(infinity * 1px);
  display: flex;
  align-items: center;
  justify-content: center;
  flex: none;
}

.c-cookie .icon svg {
  width: 28px;
  height: 28px;
  color: var(--cl-gray-400);
}

.c-cookie .content {
  flex: 1 1 auto;
}

.c-cookie .content p {
  color: var(--cl-gray-500);
  font-size: 12px;
}

.c-cookie .content .link-list {
  margin-top: 4px;
  display: flex;
  flex-wrap: wrap;
  font-size: 12px;
  column-gap: 16px;
  row-gap: 4px;
}

.c-cookie .action {
  display: flex;
  flex: none;
  column-gap: 8px;
}

.c-cookie .action button {
  height: 40px;
  width: 105px;
  font-size: 14px;
  text-align: center;
  cursor: pointer;
}

.c-cookie .action button:hover {
  opacity: 0.8;
}

.c-cookie .action button.decline {
  border-radius: 20px 6px 6px 20px;
  background: var(--cl-gray-100);
  border: 1px solid var(--cl-gray-500);
  color: var(--cl-gray-500);
}

.c-cookie .action button.allow {
  border-radius: 6px 20px 20px 6px;
  border: 1px solid black;
  background: black;
  color: white;
}
